Bug 1312267 - CVE-2016-2569 CVE-2016-2570 CVE-2016-2571 CVE-2016-2572 squid: SQUID-2016_2 advisory, multiple DoS issues[fedora-all]
Summary: CVE-2016-2569 CVE-2016-2570 CVE-2016-2571 CVE-2016-2572 squid: SQUID-2016_2 ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: squid
Version: 23
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Luboš Uhliarik ✈
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1311585 (view as bug list)
Depends On:
Blocks: 1311584 CVE-2016-2569, CVE-2016-2570 CVE-2016-2571, CVE-2016-2572
TreeView+ depends on / blocked
 
Reported: 2016-02-26 09:29 UTC by Andrej Nemec
Modified: 2016-11-08 16:04 UTC (History)
5 users (show)

Fixed In Version: squid-3.5.10-1.fc22 squid-3.5.10-4.fc23
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-12 23:53:19 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-02-26 09:29:13 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Andrej Nemec 2016-02-26 09:29:19 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1312262,1312267

# Description of your update
notes=Security fix for CVE-2016-2571, CVE-2016-2572

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Adam Mariš 2016-03-02 15:12:22 UTC
*** Bug 1311585 has been marked as a duplicate of this bug. ***

Comment 3 Luboš Uhliarik ✈ 2016-03-02 15:44:09 UTC
After applying patches provided by upstream, there is need to apply one more patch according this bug report: 

http://bugs.squid-cache.org/show_bug.cgi?id=4447

Comment 4 Luboš Uhliarik ✈ 2016-03-02 15:47:48 UTC
Updating Squid to 3.5.10 in F22, because it would be very complicated to backport patches (patch 13993 wont be able to go back as-is 3.4 does not contain SBuf). Also updating squid in F23 from 3.5.9 to 3.5.10, because major stability issues are fixed in .10.

Comment 5 Luboš Uhliarik ✈ 2016-03-03 10:16:03 UTC
Can't fix it in F22, reported to FESCo:

https://mail.corp.redhat.com/zimbra/#1

Comment 6 Luboš Uhliarik ✈ 2016-03-03 10:16:43 UTC
ooops, sorry, wrong link: https://fedorahosted.org/fesco/ticket/1557

Comment 7 Fedora Update System 2016-03-03 12:25:45 UTC
squid-3.5.10-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3e4408f350

Comment 8 Fedora Update System 2016-03-03 12:25:47 UTC
squid-3.5.10-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3e4408f350

Comment 9 Luboš Uhliarik ✈ 2016-03-03 12:27:37 UTC
*** Bug 1311585 has been marked as a duplicate of this bug. ***

Comment 10 Fedora Update System 2016-03-03 21:58:39 UTC
squid-3.5.10-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3e4408f350

Comment 11 Luboš Uhliarik ✈ 2016-03-07 13:06:35 UTC
Also updated libecap to version 1.0.0, because squid 3.5.10 requires libecap >= 1.0.

Comment 12 Fedora Update System 2016-03-07 15:56:36 UTC
libecap-1.0.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7b40eb9e29

Comment 13 Fedora Update System 2016-03-08 12:12:45 UTC
libecap-1.0.0-1.fc22 squid-3.5.10-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7b40eb9e29

Comment 14 Fedora Update System 2016-03-09 21:24:06 UTC
libecap-1.0.0-1.fc22, squid-3.5.10-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7b40eb9e29

Comment 15 Fedora Update System 2016-04-05 19:29:49 UTC
squid-3.5.10-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dffdc981ff

Comment 16 Fedora Update System 2016-04-06 18:21:14 UTC
squid-3.5.10-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dffdc981ff

Comment 17 Fedora Update System 2016-05-05 14:30:55 UTC
squid-3.5.10-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7edf033fd8

Comment 18 Fedora Update System 2016-05-06 19:54:22 UTC
libecap-1.0.0-1.fc22, squid-3.5.10-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-05-06 20:55:47 UTC
squid-3.5.10-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7edf033fd8

Comment 20 Fedora Update System 2016-05-10 19:23:22 UTC
squid-3.5.10-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b3b9407940

Comment 21 Fedora Update System 2016-05-12 09:34:55 UTC
squid-3.5.10-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b3b9407940

Comment 22 Fedora Update System 2016-07-12 23:53:04 UTC
squid-3.5.10-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.